using Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using StandardLibrary;
using System.Diagnostics;

public static class AppSession
{
    private static User currentUser;

    // 当前登录用户
    public static User CurrentUser { get => currentUser; set => currentUser = value; }

    public static MachineState MachineState = new MachineState();

    public static Batch CurrentBatch=new Batch();

    public static List<string> ReadWriteErrors = new List<string>();
    public static List<string> UserOperations = new List<string>();

    static AppSession()
    {
        currentUser = new User();
    }
}

